Subject: [bug#44718] Fix dockerd requires file-system-/sys/fs/cgroup/blkio

From: Marius Bakke <[email-masked]>
Date: Wed, 18 Nov 2020 22:26:38 +0100

Danny Milosavljevic <[email-masked]> skriver:

> Hi,
>
> On Wed, 18 Nov 2020 09:00:34 +0300
> Oleg Pykhalov <[email-masked]> wrote:
>
>> According to Git bisect, the 977eb5d0 commit breaks docker-service-type
>> with the following error during “guix system build” or “guix system
>> reconfigure”:
>> 
>>     guix system: error: service 'dockerd' requires 'file-system-/sys/fs/cgroup/blkio', which is not provided by any service
>
> I can confirm this bug.
>
> However, I cannot say one way or another where the patch is the right fix.

I suspect this was fixed by 37b98e8cca3244067071bc6e382b06861457a459,
can you confirm?